Summary:	Lynx-like text WWW browser
Name:		links
Version:	2.29
Release:	%mkrel 2
License:	GPLv2+
Group:		Networking/WWW
URL:		http://links.twibright.com/
Source0:	http://links.twibright.com/download/links-%{version}.tar.bz2
Source4:	links.cfg
Patch3:		links-0.96-no-weird-unhx-ing-of-command-line-args.patch
Patch8:		links-current-color-by-default--and-vt100-frames.patch
Patch24:	links-2.15-CVE-2006-5925--disable-SMB.patch
Patch25:	links2_better_verification.diff
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(libavif)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libzstd)
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	gpm-devel
BuildRequires:	pkgconfig(zlib)
Provides:	webclient
Requires:	links-common = %{version}

%description
Links is a text based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package graphic
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Provides:	webclient, links = %{version}-%{release}
Requires:	indexhtml

%description graphic
Links is a text/X11 based WWW browser, at first look similar to Lynx, but
somehow different:

- renders tables and frames
- displays colors as specified in current HTML page
- uses drop-down menu (like in Midnight Commander)
- can download files in background
- partially handle Javascript

%package common
Summary:	Lynx-like text/X11 WWW browser
Group:		Networking/WWW
Requires:	links-common = %{version}
Conflicts:	links < 2.1-0.pre18.5mdk, links-graphic < 2.1-0.pre18.5mdk

%description common
Common files for links and links-graphi

%prep
%setup	-q
%patch3 -p1
%patch8 -p1
%patch24 -p1
%patch25 -p1

%build
%configure --enable-graphics
%make_build

cp -f links links-graphic

make clean
%configure
%make_build

cp -f links links-text

%install
%make_install

rm -f %{buildroot}%{_bindir}/links
install links-graphic links-text %{buildroot}%{_bindir}

install -D -m 644 %{SOURCE4} %{buildroot}/etc/links.cfg

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Links
Comment=Lynx-like text/graphic Web browser
Exec=/usr/bin/links-graphic /usr/share/indexhtml/index.html
Icon=web_browser_section
Terminal=true
Type=Application
Categories=Network;WebBrowser;
EOF

%triggerpostun -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%triggerpostun graphic -- links
if [ ! -e /usr/bin/links ]; then
  update-alternatives --auto links
fi

%post
update-alternatives --install /usr/bin/links links /usr/bin/links-text 10

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-text || :
fi

%post graphic
update-alternatives --install /usr/bin/links links /usr/bin/links-graphic 20

%postun graphic
if [ "$1" = "0" ]; then
  update-alternatives --remove links /usr/bin/links-graphic || :
fi

%files
%{_bindir}/links-text

%files graphic
%{_bindir}/links-graphic
%{_datadir}/applications/*

%files common
%doc AUTHORS ChangeLog README SITES
%config(noreplace) /etc/links.cfg
%{_mandir}/*/*


%changelog
* Wed Nov 08 2023 daviddavid <daviddavid> 2.29-2.mga10
+ Revision: 2005166
- enable avif and webp support

* Wed Apr 26 2023 kekepower <kekepower> 2.29-1.mga9
+ Revision: 1955027
- Update to version 2.29

* Mon Dec 12 2022 ns80 <ns80> 2.28-2.mga9
+ Revision: 1921081
- rebuild for new libtiff

* Sat Oct 01 2022 kekepower <kekepower> 2.28-1.mga9
+ Revision: 1893661
- Update to version 2.28

* Mon May 30 2022 kekepower <kekepower> 2.27-1.mga9
+ Revision: 1860772
- Update to version 2.27

* Mon Apr 11 2022 kekepower <kekepower> 2.26-1.mga9
+ Revision: 1848724
- Update to version 2.26

* Wed Mar 30 2022 umeabot <umeabot> 2.25-2.mga9
+ Revision: 1834826
- Mageia 9 Mass Rebuild

* Mon Oct 04 2021 luigiwalser <luigiwalser> 2.25-1.mga9
+ Revision: 1749354
- 2.25

* Sat Oct 02 2021 wally <wally> 2.24-2.mga9
+ Revision: 1747642
- rebuild for openssl 3.0.0

* Tue Sep 14 2021 kekepower <kekepower> 2.24-1.mga9
+ Revision: 1745417
- Update to version 2.24

* Mon May 24 2021 kekepower <kekepower> 2.23-1.mga9
+ Revision: 1727417
- Update to version 2.23

* Thu Mar 18 2021 kekepower <kekepower> 2.22-1.mga9
+ Revision: 1704223
- Update to version 2.22

* Thu Aug 06 2020 kekepower <kekepower> 2.21-1.mga8
+ Revision: 1611448
- Update to version 2.21

* Tue Mar 31 2020 tv <tv> 2.20.2-4.mga8
+ Revision: 1562705
- fix scriptlet errors (mga#26393)

* Mon Mar 30 2020 tv <tv> 2.20.2-3.mga8
+ Revision: 1562429
- drop 64bit patch (nothing uses get_current_dir_name())
- BR librsvg for SVG support
- remove autoreconf call which nukes SVG support & the like
- use libevent for event handler
- disable patch 23 as it causes segfault since 2.15 (mga#26384)
- drop uneeded automake patch

* Sun Feb 16 2020 umeabot <umeabot> 2.20.2-2.mga8
+ Revision: 1534244
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Mon Sep 30 2019 kekepower <kekepower> 2.20.2-1.mga8
+ Revision: 1448341
- Update to version 2.20.2

* Thu Sep 05 2019 kekepower <kekepower> 2.20.1-1.mga8
+ Revision: 1437533
- Update to version 2.20.1

* Thu Aug 29 2019 kekepower <kekepower> 2.20-1.mga8
+ Revision: 1434967
- Update to version 2.20

* Fri Apr 05 2019 luigiwalser <luigiwalser> 2.19-1.mga7
+ Revision: 1386199
- 2.19

* Thu Jan 17 2019 kekepower <kekepower> 2.18-1.mga7
+ Revision: 1357511
- Update to version 2.18

* Fri Sep 07 2018 luigiwalser <luigiwalser> 2.17-1.mga7
+ Revision: 1257682
- 2.17

* Fri May 11 2018 kekepower <kekepower> 2.16-1.mga7
+ Revision: 1228262
- Update to version 2.16

* Thu May 03 2018 ns80 <ns80> 2.15-3.mga7
+ Revision: 1225694
- correct patch fix-segfault-on-loading-cookies

* Thu May 03 2018 ns80 <ns80> 2.15-2.mga7
+ Revision: 1225684
- correct segmentation fault when saving cookies

* Mon Apr 30 2018 kekepower <kekepower> 2.15-1.mga7
+ Revision: 1223903
- Update to version 2.15

* Sun Aug 06 2017 tv <tv> 2.14-2.mga7
+ Revision: 1137875
- rebuild for new openssl

* Sat Nov 26 2016 luigiwalser <luigiwalser> 2.14-1.mga6
+ Revision: 1070358
- 2.14
- rediff patches 8 and 25

* Tue Jul 05 2016 luigiwalser <luigiwalser> 2.13-1.mga6
+ Revision: 1039030
- 2.13

* Wed Mar 02 2016 umeabot <umeabot> 2.12-3.mga6
+ Revision: 983610
- Rebuild for openssl

* Sat Jan 02 2016 luigiwalser <luigiwalser> 2.12-2.mga6
+ Revision: 918232
- rebuild without directfb

* Thu Dec 24 2015 luigiwalser <luigiwalser> 2.12-1.mga6
+ Revision: 914485
- 2.12
- rediff patches 6, 8, and 25

* Sun Jun 21 2015 luigiwalser <luigiwalser> 2.9-1.mga6
+ Revision: 837324
- 2.9
- rediff patch 26

* Wed Oct 15 2014 umeabot <umeabot> 2.8-8.mga5
+ Revision: 747012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.8-7.mga5
+ Revision: 681945
- Mageia 5 Mass Rebuild

* Wed Aug 06 2014 sander85 <sander85> 2.8-6.mga5
+ Revision: 660302
- Rebuild for new directfb

* Tue May 20 2014 luigiwalser <luigiwalser> 2.8-5.mga5
+ Revision: 623988
- rebuild for directfb

* Thu May 01 2014 luigiwalser <luigiwalser> 2.8-4.mga5
+ Revision: 619140
- rebuild for directfb

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.8-3.mga5
+ Revision: 592119
- rebuild for directfb

* Sat Oct 19 2013 umeabot <umeabot> 2.8-2.mga4
+ Revision: 536460
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 luigiwalser <luigiwalser> 2.8-1.mga4
+ Revision: 484315
- 2.8
- adapt patches 6, 14, 22, 23, 24, and 25 to links 2.8

* Sat Aug 17 2013 fwang <fwang> 2.7-6.mga4
+ Revision: 467255
- rebuild for new dfb

* Mon Jun 03 2013 fwang <fwang> 2.7-5.mga4
+ Revision: 436005
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.7-4.mga3
+ Revision: 358829
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 2.7-3.mga3
+ Revision: 339267
- patch26: fix build with automake 1.13

* Sat Jul 28 2012 fwang <fwang> 2.7-2.mga3
+ Revision: 275256
- rebuild for new dfb

* Wed Jul 04 2012 luigiwalser <luigiwalser> 2.7-1.mga3
+ Revision: 267756
- 2.7
- re-diff patch6 and patch23

* Tue Jul 03 2012 luigiwalser <luigiwalser> 2.6-2.mga3
+ Revision: 266973
- re-diff patch from debian to fix security bug SA33391

* Sun Apr 15 2012 luigiwalser <luigiwalser> 2.6-1.mga2
+ Revision: 230950
- 2.6

* Fri Dec 30 2011 supp <supp> 2.5-1.mga2
+ Revision: 188911
- update to 2.5, drop few obsolete patches

* Wed Oct 26 2011 tv <tv> 2.3-2.mga2
+ Revision: 158174
- build without obsolete svgalib

* Wed Sep 28 2011 fwang <fwang> 2.3-1.mga2
+ Revision: 149780
- recall automake patch
- rediff some patches
- new version 2.3
- fix build with latest libpng
- rebuild for new libpng

* Mon Jul 18 2011 fwang <fwang> 2.2-11.mga2
+ Revision: 125765
- rebuild for new directfb

* Tue Apr 26 2011 wally <wally> 2.2-10.mga1
+ Revision: 91747
- fix desktop file name (mga#954)
- drop buildroot definition
+ rda <rda>
- Update homepage location

* Thu Mar 17 2011 tv <tv> 2.2-8.mga1
+ Revision: 73208
- clean post scripts
- imported package links


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 2.2-8mdv2011.0
+ Revision: 622592
- update BRs

  + Oden Eriksson <oeriksson@mandriva.com>
    - the mass rebuild of 2010.1 packages

* Thu Apr 08 2010 Rémy Clouard <shikamaru@mandriva.org> 2.2-7mdv2010.1
+ Revision: 533227
- Rebuild for new openssl

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 2.2-6mdv2010.1
+ Revision: 490513
- rebuild for new libjpeg

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 2.2-5mdv2010.1
+ Revision: 462916
- rebuild for new dfb

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 2.2-4mdv2010.0
+ Revision: 417289
- rediff patches 10,11

* Sun Aug 17 2008 Funda Wang <fwang@mandriva.org> 2.2-3mdv2009.0
+ Revision: 272981
- rebuild for new dfb

* Sun Aug 03 2008 Funda Wang <fwang@mandriva.org> 2.2-2mdv2009.0
+ Revision: 261917
- New version 2.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 2.1-0.pre36.2mdv2009.0
+ Revision: 213230
- rebuild for new directfb

* Thu May 15 2008 Funda Wang <fwang@mandriva.org> 2.1-0.pre36.1mdv2009.0
+ Revision: 207634
- New version 2.1pre36

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 2.1-0.pre35.1mdv2009.0
+ Revision: 201766
- New version 2.1pre35

* Mon May 05 2008 Funda Wang <fwang@mandriva.org> 2.1-0.pre34.1mdv2009.0
+ Revision: 201377
- New version 2.1pre34

  + Thierry Vignaud <tv@mandriva.org>
    - fix URL
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 2.1-0.pre31.1mdv2008.1
+ Revision: 116673
- New version 2.1pre31
- Rediff patch12,23

* Sun Dec 09 2007 Funda Wang <fwang@mandriva.org> 2.1-0.pre18.15mdv2008.1
+ Revision: 116669
- fix menu entry

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

  + Pixel <pixel@mandriva.com>
    - really apply security fix for CVE-2006-5925
    - fix build
    - fix icon (#25644)


* Tue Nov 21 2006 Pixel <pixel@mandriva.com> 2.1-0.pre18.14mdv2007.0
+ Revision: 85722
- security fix for CVE-2006-5925 (patch24, disable SMB)
- Import links

* Sat Jul 08 2006 Pixel <pixel@mandriva.com> 2.1-0.pre18.13mdv2007.0
- switch to XDG menu

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 2.1-0.pre18.12mdk
- rebuild for new directfb

* Sat Apr 01 2006 Pixel <pixel@mandriva.com> 2.1-0.pre18.11mdk
- links-graphic do not obsolete links anymore
  (no good reason for it and breaks distro scripts)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1-0.pre18.10mdk
- rebuilt against openssl-0.9.8a

* Thu Nov 03 2005 Götz Waschk <waschk@mandriva.org> 2.1-0.pre18.9mdk
- rebuild for new directfb

* Tue Oct 11 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.8mdk
- really better fix for previous patch (ie fix memory leaks)

* Sat Oct 08 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.7mdk
- better fix for previous patch

* Sat Oct 08 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.6mdk
- don't have two assocations with same label, otherwise one can't override shared config

* Sat Aug 27 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.5mdk
- reverting previous changes, introduce links-common instead
- move the conflicts on links to links-common

* Tue Aug 23 2005 Pixel <pixel@mandriva.com> 2.1-0.pre18.4mdk
- links-graphic now depends on links 
  => no way to have links-graphic without links-text
  => this fixes upgrade conflicts and is cleaner
  (the other solution would be to create a links-common for links.cfg and the manpage)

* Fri Aug 19 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1-0.pre18.3mdk
- add BuildRequires: automake1.9

* Wed Aug 10 2005 Abel Cheung <deaddog@mandriva.org> 2.1-0.pre18.2mdk
- Reenable Patch1 (changes link color from bright white to other color),
  which I accidentally disabled

* Tue Aug 09 2005 Abel Cheung <deaddog@mandriva.org> 2.1-0.pre18.1mdk
- 2.1pre18
- Build with directfb support
- Rediff patch12, 21
- Patch14: Newer automake can't accept conditional macros definition

* Mon Mar 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.1-0.pre15.2mdk
- add BuildRequires: automake1.4

* Tue Dec 14 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.1-0.pre15.1mdk
- new release
- fix URL
- Adapt patch #8 to new code

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.pre13.3mdk
- Fix menu

* Wed Feb 18 2004 David Baudens <baudens@mandrakesoft.com> 2.1-0.pre13.2mdk
- Fix menu

